﻿@{
    Layout = null;
}

<div ng-controller="homeController as vm">
    <div class="row">
        <div class="col-xs-3">
            <div class="col-xs-12 col-lg-12 form-group">
                <div class="col-xs-12 no-offset">
                    <img src="~/Content/image/box-trackandtrace.jpg" style="margin-top:50px; position: absolute; left: 0;" />
                </div>
            </div>
        </div>
        <div class="col-xs-9">
            <div class="col-xs-12">
                <label style="font-size:30px; color: #050338;">Track and Trace </label>
            </div>
            <div class="col-xs-8">
                <div class="col-xs-12 no-offset">
                    <label id="lblRoleMenu" for="ddlIdentityRoles" class="my-label">Tracking Number</label>
                </div>
                <div class="col-xs-12 no-offset">
                    <textarea ng-model="trackingNumber" placeholder="Enter consignment / customer reference number here, one per line (maximum 10 numbers)" class="form-control" rows="10" style="width:390px;"> </textarea>
                </div>
            </div>
            <div class="col-xs-4" style="padding-right: 0px;">
                <div class="col-xs-12" style="padding-left: 0px;">
                    <label id="lblRoleMenu" for="ddlIdentityRoles" class="my-label">Recent queries</label>
                </div>
                <div class="col-xs-12" style="padding-left: 0px;">
                    <table>
                        <thead>
                            <tr></tr>
                        </thead>
                        <tbody style="color: #F75A06;">
                            <tr ng-repeat="x in RecentNumber track by $index">
                                <td>
                                    <label id="lblParentName" class="cursor-pointer" ng-click="vm.checkItemRecent(x)">{{x}}</label>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                    <input id="btnCheckItem" type="button" class="btn-check-item-status" value="CHECK ITEM STATUS" ng-click="vm.checkItemStatus()" style="margin-top: 15px;">
                </div>
            </div>
            <div class="col-xs-4" style="padding-right: 0px;">
                @*<input id="btnCheckItem" type="button" class="btn-check-item-status" value="CHECK ITEM STATUS" ng-click="vm.checkItemStatus()">*@
            </div>
        </div>

        @*<div ng-if="trackAndTraceHeader != null && trackAndTraceHeader.length > 0" class="row col-xs-12">
                <div class="form-group col-xs-12 col-lg-11">
                    <tt>Tracking Number = {{IdentityRoles2}}</tt><br />
                </div>
            </div>*@
        <div class="col-xs-12">
            <br />
            <br />
            <br />
            <hr />
        </div>
        <div class="col-xs-12" ng-if="trackAndTraceDetailTable.length >0 && trackAndTraceDetailTable != null">
            <table class="spacing-table">
                <thead>
                    <tr>
                        <th class="text-center col-xs-2">
                            <span>Tracking No.</span>
                        </th>
                        <th class="text-center col-xs-2">
                            <span>Consignee</span>
                        </th>
                        <th class="text-center col-xs-2">
                            <span>Location</span>
                        </th>
                        <th class="text-center col-xs-2">
                            <span>Status</span>
                        </th>
                        <th class="text-center col-xs-2">
                            <span>Date / Time</span>
                        </th>
                        <th class="text-center col-xs-2">
                            <span></span>
                        </th>
                    </tr>
                </thead>
                <tbody class="text-center">
                    <tr ng-repeat="item in trackAndTraceDetailTable">
                        <td>
                            <label>{{item.consignment_no}}</label>
                        </td>
                        <td>
                            <label>{{item.consignee_name}}</label>
                        </td>
                        <td>
                            <label>{{item.location}}</label>
                        </td>
                        <td ng-class="{ myproofstatus : item.status_description === 'Proof of Delivery' }">
                            <label>{{item.status_description}}</label>
                        </td>
                        <td>
                            <p class="my-p-one">{{item.tracking_datetime2 | date: 'dd/mm/yyyy'}}</p>
                            <p class="my-p-two">{{item.tracking_datetime2 | date : 'HH:mm'}}</p>
                        </td>
                        <td style="text-align: right">
                            <button class="btn-view-track" ng-click="vm.checkItemStatusOnTable(item.consignment_no)"><i class="fa fa-eye fa-lg cursor-pointer"></i></button>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div class="col-xs-12" style="margin-top:20px;" ng-if="trackAndTraceHeader != null">
            <div class="col-xs-3" style="padding-left: 0px;">
                <div class="col-xs-12 no-offset" style="margin-bottom:20px; padding-left: 0px;">
                    <label id="lblRoleMenu" for="ddlIdentityRoles" style="color:#232D48;  padding-left: 0px;">Consignment Number : <span style="color:#FF6505;">{{trackAndTraceHeader.consignment_no}}</span></label>
                </div>
                <div class="col-xs-12 no-offset" style="margin-bottom:20px;  padding-left: 0px;">
                    <label id="lblRoleMenu" for="ddlIdentityRoles" style="color:#232D48;">Status : <span class="myotherstatus" ng-class="{ myproofstatus : trackAndTraceHeader.status_description === 'Proof of Delivery' }">{{trackAndTraceHeader.status_description}}</span></label>
                </div>
                <div class="col-xs-12 no-offset" style="margin-bottom:20px; color:dimgray;  padding-left: 0px;">
                    <p class="panel-title-two" data-toggle="collapse" data-target="#collapseOne" style="color: #232D48; ">
                        More Shipment Details
                    </p>
                    <div id="collapseOne" class="panel-collapse collapse">
                        <div>
                            <p>Booking Number : {{trackAndTraceHeader.booking_no}}</p>
                            <p>Booking D/T : {{trackAndTraceHeader.booking_datetime | date: 'dd/mm/yyyy HH:mm'}}</p>
                            <p>Est. Del. D/T : {{trackAndTraceHeader.est_dilivery_datetime}}</p>
                            <p>Service Type : {{trackAndTraceHeader.service_code}}</p>
                            <p>Origin Province : {{trackAndTraceHeader.origin_state_code}}</p>
                            <p>Dest. Province: {{trackAndTraceHeader.destination_state_code}}</p>
                            <p>Payer ID : {{trackAndTraceHeader.payerid}}</p>
                            <p>Payer Name : {{trackAndTraceHeader.payer_name}}</p>
                        </div>
                    </div>

                </div>
            </div>
            <div class="col-xs-8 col-lg-8 my-borderleft" ng-if="trackAndTraceDetailTimeline.length >0 && trackAndTraceDetailTimeline != null">
                <div class="col-xs-12 no-offset">
                    <table class="table-stripe2">
                        <tbody class="tbodyme">
                            <tr ng-repeat="item in trackAndTraceDetailTimeline">
                                <td class="text-center col-xs-2">
                                    <div class="container2 left2">
                                        <div class="content2">
                                            <p id="lblNo{{$index}}" style="text-align:right">Date {{item.tracking_datetime2 | date: 'dd/mm/yyyy'}}</p>
                                            <p id="lblNo{{$index}}" style="margin-top: -10px; text-align:right">Time {{item.tracking_datetime2 | date: 'HH:mm'}}</p>
                                        </div>
                                    </div>
                                </td>
                                <td class="text-center col-xs-2">
                                    <div class="timeline" ng-class="{ timeline2 :  trackAndTraceDetailTimeline.length=== 1, timeline3 : $last}">
                                        <i class="fa fa-check-circle-o fa-3x my-icon-timeline" style="color:#5BE504; " ng-if="item.status_description == 'Proof of Delivery' "></i>
                                        <i class="fa fa-clock-o fa-3x my-icon-timeline" style="color:#c1c1c1; " ng-if="item.status_description != 'Proof of Delivery' "></i>
                                    </div>
                                </td>
                                <td class="text-center col-xs-3 leftTable">
                                    <p ng-class="{ myproofstatus : item.status_description === 'Proof of Delivery'} " style="text-align:left"> {{item.status_description}}</p>
                                    <p style="margin-top: -10px; text-align:left;" ng-if="item.status_description === 'Proof of Delivery'" ng-class="{ myproofstatus : item.status_description === 'Proof of Delivery' }">Consignee: {{item.consignee_name}} </p>
                                    <p style="margin-top: -10px; text-align:left; color: #FF6505;" ng-if="item.status_description != 'Proof of Delivery' && item.remarks != null ">Remark <i class="fa fa-exclamation-circle my-tooltip" style="color:#FF6505;"><span class="my-tooltiptext">{{item.remarks}}</span></i></p>
                                    <p style="margin-top: 15px; text-align:left">Location - {{item.location}} </p>
                                </td>
                            </tr>
                        </tbody>
                    </table>

                </div>
                <div class="col-xs-2 col-lg-2 form-group">
                    <div class="col-xs-12 no-offset">
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div ng-controller="userProfileController as vm2">
    <form name="userForm">
        <input ng-disabled="true" type="text" ng-model="user.user_name" name="Username" required placeholder="Username">
        <input type="text" ng-model="user.email" name="Email" placeholder="Email">
        <input type="text" ng-model="user.department_name" required name="Department" placeholder="Department">

        <button ng-click="vm2.update()" type="button" class="btn btn-default">Update</button>

        @*<div ng-messages="userForm.Username.$error">
                <p ng-message="minlength">Your Username is too short.</p>
                <p ng-message="maxlength">Your Username is too long.</p>
                <p ng-message="required">Your Username is required.</p>
            </div>

            <div class="help-block" ng-messages="userForm.Department.$error">
                <div ng-messages-include="messages.html"></div>
            </div>



            <div ng-messages="userForm.Department.$error">
                <p ng-message="minlength">Your name is too short.</p>
                <p ng-message="maxlength">Your name is too long.</p>
                <p ng-message="required">Your Department is required.</p>
            </div>
            <button ng-click="vm2.update()" type="button" class="btn btn-default">Update</button>


            <input
                type="text"
                name="username1"
                ng-model="user.username"
                ng-minlength="3"
                ng-maxlength="8"
                required>

            <div ng-messages="userForm.username.$error">
                <p ng-message="minlength">Your name is too short.</p>
                <p ng-message="maxlength">Your name is too long.</p>
                <p ng-message="required">Your name is required.</p>
            </div>*@

        @*<div class="help-block" ng-messages="userForm.username1.$error" ng-show="userForm.username1.$touched">
                <div class="form-group" ng-class="{ 'has-error': userForm.username1.$touched && userForm.username1.$invalid }"></div>
            </div>*@




        @*<input type="password" name="new_password1" ng-model="new_password1">

            <input type="password" name="new_password2" ng-pattern="\b{{new_password1}}\b" ng-model="new_password2">
            <div ng-messages="userForm.new_password2.$error">
                <div ng-message="pattern">Not equal!!!</div>
            </div>*@


    </form>


</div>